Package org.apache.tomcat.util.threads

## Class InlineExecutorService

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - org.apache.tomcat.util.threads.InlineExecutorService

All Implemented Interfaces:
  `java.util.concurrent.Executor`, `java.util.concurrent.ExecutorService`

    public class InlineExecutorService
    extends java.util.concurrent.AbstractExecutorService

### Constructor Summary

Constructors
`InlineExecutorService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `awaitTermination​(long timeout, java.util.concurrent.TimeUnit unit)`
`void` `execute​(java.lang.Runnable command)`
`boolean` `isShutdown()`
`boolean` `isTerminated()`
`void` `shutdown()`
`java.util.List<java.lang.Runnable>` `shutdownNow()`

### Methods inherited from class java.util.concurrent.AbstractExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InlineExecutorService

    public InlineExecutorService()

### Method Detail

#### shutdown

    public void shutdown()

#### shutdownNow

    public java.util.List<java.lang.Runnable> shutdownNow()

#### isShutdown

    public boolean isShutdown()

#### isTerminated

    public boolean isTerminated()

#### awaitTermination

    public boolean awaitTermination​(long timeout,
                                    java.util.concurrent.TimeUnit unit)
                             throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### execute

    public void execute​(java.lang.Runnable command)